List Resellers
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/resellers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": null,
"search": null,
"tier_id": null,
"segment": null,
"perPage": null,
"orderColumn": null,
"orderDirection": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/resellers"
payload = {
"status": None,
"search": None,
"tier_id": None,
"segment": None,
"perPage": None,
"orderColumn": None,
"orderDirection": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: null,
search: null,
tier_id: null,
segment: null,
perPage: null,
orderColumn: null,
orderDirection: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/resellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"reseller_status": "approved",
"reseller_tier_id": null,
"reseller_applied_at": null,
"reseller_approved_at": "2026-09-20T15:56:24.000000Z",
"reseller_total_spent_usd": 0,
"reseller_total_completed": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"reseller_tier": null
},
{
"id": 3,
"email": "reseller@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"reseller_status": "approved",
"reseller_tier_id": null,
"reseller_applied_at": null,
"reseller_approved_at": "2026-09-20T15:56:24.000000Z",
"reseller_total_spent_usd": 0,
"reseller_total_completed": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"reseller_tier": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/resellers?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/resellers?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/resellers?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/resellers",
"per_page": 20,
"prev_page_url": null,
"to": 2,
"total": 2
}Resellers
List Resellers
Returns the shop’s resellers (customers with a reseller status) with their stats.
GET
/
v1
/
shops
/
{shopId}
/
resellers
List Resellers
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Query Parameters
Filter by status: applied, approved or rejected.
Example:
null
Search by email.
Example:
null
Body
application/json
Available options:
applied, approved, rejected, suspended Example:
null
Search by email. Must not be greater than 255 characters.
Example:
null
Filter by reseller tier ID.
Example:
null
Available options:
active, inactive, new Example:
null
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
Example:
null
Available options:
email, reseller_total_spent_usd, reseller_total_completed, reseller_applied_at, reseller_approved_at, balance Example:
null
Available options:
asc, desc Example:
null
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"reseller_status": "approved",
"reseller_tier_id": null,
"reseller_applied_at": null,
"reseller_approved_at": "2026-09-20T15:56:24.000000Z",
"reseller_total_spent_usd": 0,
"reseller_total_completed": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"reseller_tier": null
},
{
"id": 3,
"email": "reseller@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"reseller_status": "approved",
"reseller_tier_id": null,
"reseller_applied_at": null,
"reseller_approved_at": "2026-09-20T15:56:24.000000Z",
"reseller_total_spent_usd": 0,
"reseller_total_completed": 0,
"created_at": "2026-09-20T15:56:24.000000Z",
"reseller_tier": null
}
]
Example:
"http://api.sellauth.test/v1/shops/1/resellers?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/resellers?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/resellers?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/resellers"
Example:
20
Example:
null
Example:
2
Example:
2